/**********************************************************************
 
	Copyright (C) 2003-2004
	Hirohisa MORI <joshua@nichibun.ac.jp>
	Tomoki SEKIYAMA <sekiyama@yahoo.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include "xl.h"
#include "gbview.h"
#include "win_flame.h"
#include "xlerror.h"

XL_SEXP * xl_gv_flame_close();

void
init_gv_flame_close(XLISP_ENV * env)
{
	set_env(env, l_string(std_cm,"gv-flame-close"),
			get_func_prim(xl_gv_flame_close,FO_APPLICATIVE,0,1,1));
}

XL_SEXP *
xl_gv_flame_close(
		XLISP_ENV * e,
		XL_SEXP * s,
		XLISP_ENV * a_e,
		XL_SYM_FIELD * sf)
{
GBVIEW_FLAME * gf;

	gf = get_gf_from_sf(sf);
	wf_close(gf);
	return 0;
}

